Subject: Re: [PATCH 3/3] diff: correct warning message when renameLimit exceeded

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Jul 2021 17:47:28 -0700

Elijah Newren <[email-masked]> writes:

> On Mon, Jul 12, 2021 at 8:09 AM Derrick Stolee <[email-masked]> wrote:
>>
>> Since the steps that find inexact renames without the quadratic
>> algorithm are heuristics, perhaps this portion could instead be
>> called "exhaustive rename detection" or even "expensive rename
>> detection"? It perhaps implies more directly that the limit exists
>> as a way to prevent an expensive operation.
>
> The name "exhaustive rename detection" seems reasonable to me.  I'll
> resubmit using that term and see what folks think.

Funny.  In a sense, since computing content similarity is _more_
precise way to find a pair that is a likely rename than the more
recent heuristics, the more expensive "exhaustive" one can be called
"more precise rename detection", even though it is tempting to use
"inexact" to call it, too ;-)